package com.inspect.exec.service;

import com.inspect.exec.domain.PatrolTaskPointExecRecord;

import java.util.List;

public interface IPatrolTaskPointExecRecordService {
    PatrolTaskPointExecRecord selectPatrolTaskPointExecRecordByPointId(Long pointId);

    List<PatrolTaskPointExecRecord> selectPatrolTaskPointExecRecordList(PatrolTaskPointExecRecord record);

    int insertPatrolTaskPointExecRecord(PatrolTaskPointExecRecord record);

    int updatePatrolTaskPointExecRecord(PatrolTaskPointExecRecord record);

    int deletePatrolTaskPointExecRecordByPointIds(Long[] ids);

    int deletePatrolTaskPointExecRecordByPointId(Long pointId);
}
